Thunderbird 10 update

Bug #923372 reported by Chris Coulson on 2012-01-29
18
This bug affects 3 people
Affects Status Importance Assigned to Milestone
enigmail (Ubuntu)
Undecided
Unassigned
Oneiric
Undecided
Unassigned
lightning-extension (Ubuntu)
Undecided
Unassigned
Oneiric
Undecided
Unassigned
thunderbird (Ubuntu)
Undecided
Unassigned
Oneiric
Undecided
Unassigned

Bug Description

summary: - Placeholder bug
+ Thunderbird 10 update
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package thunderbird - 10.0.2+build1-0ubuntu0.11.10.1

---------------
thunderbird (10.0.2+build1-0ubuntu0.11.10.1) oneiric-security; urgency=low

  * New upstream stable release (THUNDERBIRD_10_0_2_BUILD1)
    - see LP: #933382 for USN information

thunderbird (10.0.1+build1-0ubuntu0.11.10.1) oneiric-security; urgency=low

  * New upstream stable release (THUNDERBIRD_10_0_1_BUILD1)
    - see LP: #929964 for USN information

thunderbird (10.0+build1-0ubuntu0.11.10.1) oneiric-security; urgency=low

  * New upstream stable release (THUNDERBIRD_10_0_BUILD1)
    - see LP: #923372 for USN information

  [ Chris Coulson <email address hidden> ]
  * Disable more hanging IPC xpcshell tests
    - update debian/build/testsuite.mk
  * Improve the maintainer script magic for moving the system pref file when
    upgrading from Thunderbird 3.1 on oneiric and newer. Also drop the hooks
    to remove conffiles that never even existed
    - update debian/thunderbird.postinst.in
    - add debian/thunderbird.postrm.in
    - update debian/thunderbird.preinst.in
    - update debian/rules
  * Drop patches fixed upstream
    - remove debian/patches/theme-refresh-messenger-tree-header-graphics.patch
    - remove debian/patches/theme-refresh-message-header-buttons.patch
    - update debian/patches/series
  * Refresh patches:
    - update debian/patches/theme-refresh-messenger-toolbar-icons.patch
  * Update after landing of bmo: #701875 - Rename omni.jar to omni.ja
    - update debian/thunderbird.install.in
  * Update shipped locales (addition of Asturian and Serbian)
    - refresh debian/config/locales.all
    - refresh debian/config/locales.shipped
    - refresh debian/control
  * Backport changes to allow per-release/per-arch patches
    - add debian/build/enable-dist-patches.pl
    - update debian/rules
  * Fix LP: #908508 - Add patch from upstream to fix powerpc build failure.
    Only apply this patch on powerpc to avoid compromising the quality of
    the architectures that we care about
    - add debian/patches/fix-build-failure-without-yarr-jit2.patch
    - update debian/patches/series
  * Also make the previous powerpc build fix apply on ppc only
    - update debian/patches/series

  [ Micah Gersten <email address hidden> ]
  * Drop patch after upstream landing of (bmo: 690432) aka Logging.h passes a
    string directly to printf
    - drop debian/patches/printf-fix.patch
    - update debian/patches/series
 -- Micah Gersten <email address hidden> Thu, 16 Feb 2012 04:42:00 -0600

Changed in thunderbird (Ubuntu Oneiric):
status: New → Fix Released
wvarner (winshipvarner) wrote :

i upgraded to the newest version of Thunderbird (10.0.2+build1-0ubuntu0.11.10.1), but at this moment at least, the calender extension xul-ext-lightning has not also been updated, and the older version in the repos is incompatible with the newest version of Thunderbird. This means I can't use my calander now until the newest version is made available in the repos. shouldn't these all be released at the *same time* so that users like me don't get stuck not being able to use their calander for some indeterminate amount of time?

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in enigmail (Ubuntu Oneiric):
status: New → Confirmed
Changed in enigmail (Ubuntu):
status: New → Confirmed
Changed in lightning-extension (Ubuntu Oneiric):
status: New → Confirmed
Changed in lightning-extension (Ubuntu):
status: New → Confirmed
Changed in thunderbird (Ubuntu):
status: New → Confirmed
Daniel Gnoutcheff (gnoutchd) wrote :

Indeed, both xul-ext-lightning and enigmail are rendered worthless (for thunderbird at least) by this update. Meanwhile, removing the packages and installing the extensions from addons.mozilla.org works fine (at least on this amd64 machine).

If stable updates are going to continue to cause these kinds of random (and *severe*) regressions in these packages, then nobody should be relying on them. I'd like to see them removed from the archive, especially since an (apparently *much* better supported) update mechanism already exists from addons.mozilla.org.

Micah Gersten (micahg) wrote :

Sorry, I usually have these extensions copied at the same time, I'm having that done now.

Changed in enigmail (Ubuntu):
status: Confirmed → Invalid
Changed in lightning-extension (Ubuntu):
status: Confirmed → Invalid
Changed in thunderbird (Ubuntu):
status: Confirmed → Invalid
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lightning-extension - 1.2+build1-0ubuntu0.11.10.1

---------------
lightning-extension (1.2+build1-0ubuntu0.11.10.1) oneiric-security; urgency=low

  * New upstream stable release (CALENDAR_1_2_BUILD1)
    - LP: #923372
  * Refresh debian/patches/01_no_sunbird.patch
  * Add some additional mailnews makefiles to the tarball, to make the build
    system not sad anymore
  * Drop 03_maxversion_override.patch, as this isn't needed for this release
 -- Chris Coulson <email address hidden> Mon, 30 Jan 2012 18:41:41 +0000

Changed in lightning-extension (Ubuntu Oneiric):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package enigmail - 2:1.3.5-0ubuntu0.11.10.1

---------------
enigmail (2:1.3.5-0ubuntu0.11.10.1) oneiric-security; urgency=low

  * New upstream release v1.3.5
    - LP: #923372

  * Fix LP: #886781 - build with --enable-chrome-format=omni, as this is
    what the chrome.manifest assumes (fixes chrome registration issues
    breaking non-English locales)
    - update debian/rules
 -- Chris Coulson <email address hidden> Mon, 30 Jan 2012 19:02:40 +0000

Changed in enigmail (Ubuntu Oneiric):
status: Confirmed → Fix Released
Micah Gersten (micahg) on 2012-02-22
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers